(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Bitmap10.png", id:"Bitmap10"},
		{src:"images/Bitmap11.png", id:"Bitmap11"},
		{src:"images/Bitmap12.png", id:"Bitmap12"},
		{src:"images/Bitmap13.png", id:"Bitmap13"},
		{src:"images/Bitmap14.png", id:"Bitmap14"},
		{src:"images/Bitmap15.png", id:"Bitmap15"},
		{src:"images/Bitmap16.png", id:"Bitmap16"},
		{src:"images/Bitmap2.png", id:"Bitmap2"},
		{src:"images/Bitmap3.png", id:"Bitmap3"},
		{src:"images/Bitmap4.png", id:"Bitmap4"},
		{src:"images/Bitmap5.png", id:"Bitmap5"},
		{src:"images/Bitmap6.png", id:"Bitmap6"},
		{src:"images/Bitmap7.png", id:"Bitmap7"},
		{src:"images/Bitmap8.png", id:"Bitmap8"},
		{src:"images/Bitmap9.png", id:"Bitmap9"}
	]
};



// symbols:



(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,208,458);


(lib.Bitmap10 = function() {
	this.initialize(img.Bitmap10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,31,40);


(lib.Bitmap11 = function() {
	this.initialize(img.Bitmap11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,32,41);


(lib.Bitmap12 = function() {
	this.initialize(img.Bitmap12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,32,42);


(lib.Bitmap13 = function() {
	this.initialize(img.Bitmap13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,34,41);


(lib.Bitmap14 = function() {
	this.initialize(img.Bitmap14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,32,41);


(lib.Bitmap15 = function() {
	this.initialize(img.Bitmap15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,32,42);


(lib.Bitmap16 = function() {
	this.initialize(img.Bitmap16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,26,41);


(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,208,458);


(lib.Bitmap3 = function() {
	this.initialize(img.Bitmap3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,208,458);


(lib.Bitmap4 = function() {
	this.initialize(img.Bitmap4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,208,458);


(lib.Bitmap5 = function() {
	this.initialize(img.Bitmap5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,189,411);


(lib.Bitmap6 = function() {
	this.initialize(img.Bitmap6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,411,155);


(lib.Bitmap7 = function() {
	this.initialize(img.Bitmap7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,34,41);


(lib.Bitmap8 = function() {
	this.initialize(img.Bitmap8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,31,40);


(lib.Bitmap9 = function() {
	this.initialize(img.Bitmap9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,34,41);


(lib.Symbol22 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap15();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,32,42);
p.frameBounds = [rect];


(lib.Symbol21 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap14();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,32,41);
p.frameBounds = [rect];


(lib.Symbol20 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap13();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,34,41);
p.frameBounds = [rect];


(lib.Symbol19 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap11();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,32,41);
p.frameBounds = [rect];


(lib.Symbol18 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap12();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,32,42);
p.frameBounds = [rect];


(lib.Symbol17 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap10();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,31,40);
p.frameBounds = [rect];


(lib.Symbol16 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap9();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,34,41);
p.frameBounds = [rect];


(lib.Symbol15 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap16();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,26,41);
p.frameBounds = [rect];


(lib.Symbol14 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap8();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,31,40);
p.frameBounds = [rect];


(lib.Symbol13 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap7();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,34,41);
p.frameBounds = [rect];


(lib.Symbol2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap2();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,208,458);
p.frameBounds = [rect];


(lib.Symbol1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap1();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,208,458);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '13293',
			title: 'W diagram podzielony na 36 okienek przeciągnij w puste pola liczby tak, aby w każdej pionowej kolumnie i w każdym diagramie znalazło się dziewięć różnych  liczb od 1 do 9. Spróbuj rozwiązać to sudoku!',
			type: 'drag',
			container: this,
			prefix: 'drag_',
			prefix2: 'drop_',
			groupdrags: {		
				1: [1,2,3,4,5,6],
				2: [7,8,9],
				3: [10,11],
				4: [12,13],
				5: [14,15],
				6: [16,17,18],
				7: [19,20],
				8: [21,22,23,24],
				9: [25,26,27],
				10: [28,29],
			},
			/*
			groupdrops: {
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/	
			results: [
				/*drop_1:*/ '4',
				/*drop_2:*/ '1',
				/*drop_3:*/ '8',
				/*drop_4:*/ '3',	
				/*drop_5:*/ '6',	
				/*drop_6:*/ '2',	
				/*drop_7:*/ '7',	
				/*drop_8:*/ '1',	
				/*drop_9:*/ '9',		
				/*drop_10:*/ '5',		
				/*drop_11:*/ '6',		
				/*drop_12:*/ '2',		
				/*drop_13:*/ '4',		
				/*drop_14:*/ '6',		
				/*drop_15:*/ '8',
				
				/*drop_16:*/ '1',		
				/*drop_17:*/ '5',		
				/*drop_18:*/ '8',		
				/*drop_19:*/ '9',		
				/*drop_20:*/ '1',		
				/*drop_21:*/ '9',		
				/*drop_22:*/ '3',		
				/*drop_23:*/ '1',		
				/*drop_24:*/ '2',		
				/*drop_25:*/ '7',		
				/*drop_26:*/ '1',		
				/*drop_27:*/ '8',		
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 0.8,
			//rotation: 'auto',
			//size: 'auto',
			//zindex: 3,
			
			endsound: 'ssBrawa', exerciseAfterInit: function(container) {
				//container['drag_1'].rotate = 60;
			},
			exerciseBeforeFinish: function(container) {
				
			},
			exerciseExtraCheck: function(container) {
				
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// content
	this.drag_29 = new lib.Symbol13();
	this.drag_29.setTransform(1017.1,635.7,1,1,0,0,0,17,20.5);

	this.drag_7 = new lib.Symbol14();
	this.drag_7.setTransform(260.6,422,1,1,0,0,0,15.5,20);

	this.drag_25 = new lib.Symbol22();
	this.drag_25.setTransform(310.1,596.6,1,1,0,0,0,16,21);

	this.drag_21 = new lib.Symbol21();
	this.drag_21.setTransform(333.1,555.6,1,1,0,0,0,16,20.5);

	this.drag_19 = new lib.Symbol20();
	this.drag_19.setTransform(279.1,556.6,1,1,0,0,0,17,20.5);

	this.drag_16 = new lib.Symbol19();
	this.drag_16.setTransform(256.1,513.6,1,1,0,0,0,16,20.5);

	this.drag_14 = new lib.Symbol18();
	this.drag_14.setTransform(324.1,468.4,1,1,0,0,0,16,21);

	this.drag_10 = new lib.Symbol17();
	this.drag_10.setTransform(302.6,422,1,1,0,0,0,15.5,20);

	this.drag_12 = new lib.Symbol16();
	this.drag_12.setTransform(346.1,422,1,1,0,0,0,17,20.5);

	this.drag_1 = new lib.Symbol15();
	this.drag_1.setTransform(327.1,373,1,1,0,0,0,13,20.5);

	this.drag_28 = new lib.Symbol13();
	this.drag_28.setTransform(308.1,637.6,1,1,0,0,0,17,20.5);

	this.drag_20 = new lib.Symbol20();
	this.drag_20.setTransform(917,654.3,1,1,0,0,0,17,20.5);

	this.drag_24 = new lib.Symbol21();
	this.drag_24.setTransform(964,583.6,1,1,0,0,0,16,20.5);

	this.drag_11 = new lib.Symbol17();
	this.drag_11.setTransform(868.2,645.2,1,1,0,0,0,15.5,20);

	this.drag_27 = new lib.Symbol22();
	this.drag_27.setTransform(964,646.2,1,1,0,0,0,16,21);

	this.drag_4 = new lib.Symbol15();
	this.drag_4.setTransform(820.1,646.7,1,1,0,0,0,13,20.5);

	this.drag_5 = new lib.Symbol15();
	this.drag_5.setTransform(785.1,632.6,1,1,0,0,0,13,20.5);

	this.drag_9 = new lib.Symbol14();
	this.drag_9.setTransform(844,614.1,1,1,0,0,0,15.5,20);

	this.drag_6 = new lib.Symbol15();
	this.drag_6.setTransform(743.1,624.6,1,1,0,0,0,13,20.5);

	this.drag_26 = new lib.Symbol22();
	this.drag_26.setTransform(996,604.2,1,1,0,0,0,16,21);

	this.drag_23 = new lib.Symbol21();
	this.drag_23.setTransform(932,613.3,1,1,0,0,0,16,20.5);

	this.drag_15 = new lib.Symbol18();
	this.drag_15.setTransform(884,592.1,1,1,0,0,0,16,21);

	this.drag_3 = new lib.Symbol15();
	this.drag_3.setTransform(811.1,591.6,1,1,0,0,0,13,20.5);

	this.drop_25 = new lib.Symbol20();
	this.drop_25.setTransform(916,453.7,1,1,0,0,0,17,20.5);

	this.drop_27 = new lib.Symbol21();
	this.drop_27.setTransform(966,452.7,1,1,0,0,0,16,20.5);

	this.drop_22 = new lib.Symbol17();
	this.drop_22.setTransform(914.5,200.5,1,1,0,0,0,15.5,20);

	this.drop_21 = new lib.Symbol22();
	this.drop_21.setTransform(915,150.1,1,1,0,0,0,16,21);

	this.drop_26 = new lib.Symbol15();
	this.drop_26.setTransform(966,149.6,1,1,0,0,0,13,20.5);

	this.drop_23 = new lib.Symbol15();
	this.drop_23.setTransform(916,351.3,1,1,0,0,0,13,20.5);

	this.drop_24 = new lib.Symbol14();
	this.drop_24.setTransform(915.5,402,1,1,0,0,0,15.5,20);

	this.drop_20 = new lib.Symbol15();
	this.drop_20.setTransform(864.7,401.7,1,1,0,0,0,13,20.5);

	this.drop_19 = new lib.Symbol22();
	this.drop_19.setTransform(863.7,352.8,1,1,0,0,0,16,21);

	this.drop_18 = new lib.Symbol21();
	this.drop_18.setTransform(863.7,251.3,1,1,0,0,0,16,20.5);

	this.drop_17 = new lib.Symbol18();
	this.drop_17.setTransform(863.7,201.5,1,1,0,0,0,16,21);

	this.drop_16 = new lib.Symbol15();
	this.drop_16.setTransform(814.5,299.9,1,1,0,0,0,13,20.5);

	this.drag_13 = new lib.Symbol16();
	this.drag_13.setTransform(276.1,468.4,1,1,0,0,0,17,20.5);

	this.drag_17 = new lib.Symbol19();
	this.drag_17.setTransform(304.1,513.6,1,1,0,0,0,16,20.5);

	this.drag_22 = new lib.Symbol21();
	this.drag_22.setTransform(268.1,596.6,1,1,0,0,0,16,20.5);

	this.drag_18 = new lib.Symbol19();
	this.drag_18.setTransform(352.1,513.6,1,1,0,0,0,16,20.5);

	this.drag_2 = new lib.Symbol15();
	this.drag_2.setTransform(301.1,324.3,1,1,0,0,0,13,20.5);

	this.drag_8 = new lib.Symbol14();
	this.drag_8.setTransform(283.6,373,1,1,0,0,0,15.5,20);

	this.drop_12 = new lib.Symbol14();
	this.drop_12.setTransform(598.6,200.5,1,1,0,0,0,15.5,20);

	this.drop_13 = new lib.Symbol16();
	this.drop_13.setTransform(597.1,251.3,1,1,0,0,0,17,20.5);

	this.drop_14 = new lib.Symbol19();
	this.drop_14.setTransform(598.1,351.3,1,1,0,0,0,16,20.5);

	this.drop_15 = new lib.Symbol21();
	this.drop_15.setTransform(597.1,403.5,1,1,0,0,0,16,20.5);

	this.drop_11 = new lib.Symbol19();
	this.drop_11.setTransform(548,452.7,1,1,0,0,0,16,20.5);

	this.drop_8 = new lib.Symbol15();
	this.drop_8.setTransform(547,200,1,1,0,0,0,13,20.5);

	this.drop_9 = new lib.Symbol22();
	this.drop_9.setTransform(548,250.8,1,1,0,0,0,16,21);

	this.drop_3 = new lib.Symbol21();
	this.drop_3.setTransform(445.1,352.3,1,1,0,0,0,16,20.5);

	this.drop_7 = new lib.Symbol20();
	this.drop_7.setTransform(547,149.6,1,1,0,0,0,17,20.5);

	this.drop_5 = new lib.Symbol19();
	this.drop_5.setTransform(496.6,149.6,1,1,0,0,0,16,20.5);

	this.drop_10 = new lib.Symbol18();
	this.drop_10.setTransform(548,403,1,1,0,0,0,16,21);

	this.drop_4 = new lib.Symbol17();
	this.drop_4.setTransform(446.6,402,1,1,0,0,0,15.5,20);

	this.drop_1 = new lib.Symbol16();
	this.drop_1.setTransform(447.1,200,1,1,0,0,0,17,20.5);

	this.drop_2 = new lib.Symbol15();
	this.drop_2.setTransform(446.1,251.3,1,1,0,0,0,13,20.5);

	this.drop_6 = new lib.Symbol14();
	this.drop_6.setTransform(497.1,453.2,1,1,0,0,0,15.5,20);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drop_6},{t:this.drop_2},{t:this.drop_1},{t:this.drop_4},{t:this.drop_10},{t:this.drop_5},{t:this.drop_7},{t:this.drop_3},{t:this.drop_9},{t:this.drop_8},{t:this.drop_11},{t:this.drop_15},{t:this.drop_14},{t:this.drop_13},{t:this.drop_12},{t:this.drag_8},{t:this.drag_2},{t:this.drag_18},{t:this.drag_22},{t:this.drag_17},{t:this.drag_13},{t:this.drop_16},{t:this.drop_17},{t:this.drop_18},{t:this.drop_19},{t:this.drop_20},{t:this.drop_24},{t:this.drop_23},{t:this.drop_26},{t:this.drop_21},{t:this.drop_22},{t:this.drop_27},{t:this.drop_25},{t:this.drag_3},{t:this.drag_15},{t:this.drag_23},{t:this.drag_26},{t:this.drag_6},{t:this.drag_9},{t:this.drag_5},{t:this.drag_4},{t:this.drag_27},{t:this.drag_11},{t:this.drag_24},{t:this.drag_20},{t:this.drag_28},{t:this.drag_1},{t:this.drag_12},{t:this.drag_10},{t:this.drag_14},{t:this.drag_16},{t:this.drag_19},{t:this.drag_21},{t:this.drag_25},{t:this.drag_7},{t:this.drag_29}]}).wait(1));

	// bg
	this.instance = new lib.Bitmap5();
	this.instance.setTransform(208.6,285.1);

	this.instance_1 = new lib.Bitmap6();
	this.instance_1.setTransform(684.1,541);

	this.instance_2 = new lib.Symbol2();
	this.instance_2.setTransform(888,298.6,1,1,0,0,0,104,229);

	this.instance_3 = new lib.Symbol1();
	this.instance_3.setTransform(520.3,298.6,1,1,0,0,0,104,229);

	this.instance_4 = new lib.Bitmap4();
	this.instance_4.setTransform(784,69.6);

	this.instance_5 = new lib.Bitmap3();
	this.instance_5.setTransform(416.3,69.6);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(208.6,69.6,886.5,626.5);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(848.6,429.6,886.5,626.5);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;